package cn.stylefeng.team.form.modular.manage.enums;

import cn.stylefeng.roses.kernel.rule.constants.RuleConstants;
import cn.stylefeng.roses.kernel.rule.exception.AbstractExceptionEnum;
import lombok.Getter;

@Getter
public enum FormModelExceptionEnum implements AbstractExceptionEnum {

    FORM_MODEL_NOT_EXISTED(RuleConstants.USER_OPERATION_ERROR_TYPE_CODE + "10001", "查询结果不存在"),

    CODE_REPEAT(RuleConstants.USER_OPERATION_ERROR_TYPE_CODE + "10002", "模型编码重复"),

    NAME_REPEAT(RuleConstants.USER_OPERATION_ERROR_TYPE_CODE + "10003", "模型名称重复"),

    SYS_CODE_REPEAT(RuleConstants.USER_OPERATION_ERROR_TYPE_CODE + "10004", "系统编码重复");

    private final String errorCode;

    private final String userTip;

    FormModelExceptionEnum(String errorCode, String userTip) {
        this.errorCode = errorCode;
        this.userTip = userTip;
    }

}